COBAYA

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
Lucia F de la Bella
Posts: 1
Joined: May 06 2020
Affiliation: University of Manchester

COBAYA

Post by Lucia F de la Bella » May 06 2020

Hi,
I seem to have problems when installing

Code: Select all

cobaya-install cosmo -m my/path/to/modules

Code: Select all

[install] *ERROR* The installation (or installation test) of some module(s) has failed: 
 - theory:classy
 - likelihood:planck_2018_lowl.TT

Thanks for your help!
This is the entire log from my terminal:

Code: Select all

[install] Installing cosmological modules (input files will be ignored)
[install] Installing modules at '/Users/c49734lf/Workspace/Datasets/Cobaya-modules'

================================================================================
theory:camb
================================================================================

[install] External module already installed.

[install] Doing nothing.

================================================================================
theory:classy
================================================================================

[classy] Installing pre-requisites...
Requirement already satisfied: cython in /Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages (0.29.17)
[classy] Downloading classy...
[..................................................................................................]
[classy] Downloaded filename /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/class_public-2.7.2.tar.gz
[classy] class_public v2.7.2 downloaded and decompressed correctly.
[classy] Compiling classy...
[classy] b'if ! [ -e /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/classy/build ]; then mkdir /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/classy/build ; mkdir /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/classy/build/lib; fi;\ntouch build/.base\ncd /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/classy/build;gcc -O4 -ffast-math  -fopenmp -g -fPIC -D__CLASSDIR__=\'"/Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/classy"\' -DHYREC -I../include -I../hyrec -c ../tools/growTable.c -o growTable.o\n'
[classy] b"clang: warning: -O4 is equivalent to -O3 [-Wdeprecated]\nclang: error: unsupported option '-fopenmp'\nmake: *** [growTable.o] Error 1\n"
[classy] *ERROR* Compilation failed!
[install] *ERROR* Installation failed! Look at the error messages above. Solve them and try again, or, if you are unable to solve, install this module manually.
================================================================================
likelihood:planck_2018_lowl.TT
================================================================================

Failed to import clik
Failed to import clik
[planck_2018_lowl.TT] Installing the clik code.
[clik] Installing pre-requisites...
Requirement already satisfied: cython in /Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages (0.29.17)
Requirement already satisfied: astropy in /Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages (4.0)
Requirement already satisfied: numpy>=1.16 in /Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages (from astropy) (1.18.1)
[clik] Downloading...
[..................................................................................................]
[clik] Downloaded filename /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/planck/COM_Likelihood_Code-v3.0_R3.01.tar.gz
[clik] Installing from directory /Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/planck/code
[clik] Patching origin of cfitsio
Traceback (most recent call last):
  File "/Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages/cobaya/install.py", line 108, in install
    success = install_this(path=abspath, **kwargs_install)
  File "/Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages/cobaya/likelihoods/_base_classes/_planck_clik_prototype.py", line 190, in install
    success *= install_clik(paths["code"], no_progress_bars=no_progress_bars)
  File "/Users/c49734lf/miniconda3/envs/py37forge/lib/python3.7/site-packages/cobaya/likelihoods/_base_classes/_planck_clik_prototype.py", line 320, in install_clik
    with open(cfitsio_filename, "r") as cfitsio_file:
FileNotFoundError: [Errno 2] No such file or directory: '/Users/c49734lf/Workspace/Datasets/Cobaya-modules/code/planck/code/waf_tools/cfitsio.py'
[install] *ERROR* An unknown error occurred. Delete the modules folder and try again. Notify the developers if this error persists.
[install] *ERROR* Installation failed! Look at the error messages above. Solve them and try again, or, if you are unable to solve, install this module manually.
================================================================================
likelihood:planck_2018_lensing.native
================================================================================

[install] External module already installed.

[install] Doing nothing.

================================================================================
likelihood:bicep_keck_2015
================================================================================

[install] External module already installed.

[install] Doing nothing.

================================================================================
likelihood:sn.pantheon
================================================================================

[install] External module already installed.

[install] Doing nothing.

================================================================================
likelihood:bao.sdss_dr12_consensus_final
================================================================================

[install] External module already installed.

[install] Doing nothing.

================================================================================
likelihood:des_y1.joint
================================================================================

[install] External module already installed.

[install] Doing nothing.

[install] *ERROR* The installation (or installation test) of some module(s) has failed: 
 - theory:classy
 - likelihood:planck_2018_lowl.TT
Check output of the installer of each module above for precise error info.

Antony Lewis
Posts: 1618
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: COBAYA

Post by Antony Lewis » May 07 2020

Not sure, but try the cobaya devel branch

Jesus Torrado
Posts: 18
Joined: April 15 2013
Affiliation: RWTH Aachen
Contact:

Re: COBAYA

Post by Jesus Torrado » May 12 2020

Hu Lucía,

Could you update Cobaya (we just released a new version) and try again?

Post Reply